
 LinHES - Feature # 943: warn user when system_backup hasn't been run for a while

Status: Closed Priority: Normal
Author: brfransen Category: Packages: Core
Created: 11/21/2013 Assignee:
Updated: 12/18/2013 Due date:
Description: warning on-screen as well as myth_status.py.  I am thinking the threshold should be 3-5 days before a 

warning is triggered.

Associated revisions
11/25/2013 06:58 pm - jams
xymon-server:  hook up xymon alerts to the osd.
System will push out alerts via func to all hosts for any red conditions excluding the ping test.
Test must be red for 4hours with repeat notifications every 12 hours

refs #943

11/26/2013 01:53 pm - jams
xymon-server:  ignore /cdrom /mnt /media for disk checks.
Modify hbnotes.py so that it adds hosts to analysis.cfg.  This is needed to define the proper checks per host type.

refs #943

11/27/2013 02:37 pm - jams
LinHES-system:  myth_status.py  Add in the ability to pick up system alerts which are generated by xymon.
The program will look for files placed in /home/xymon/var/login_notify and parse as needed.
Files are generated by xymon by the file login_notify.py  which is called via alerts.cfg

Also myth_status got a bit of rearranging.  Now the tuner & recording status info is in a class.

refs #943
refs #945

11/27/2013 02:39 pm - jams
xymon:  add login_notify.sh.  This will write out and remove alert files to be parsed by myth_status

refs #943
refs #945

12/11/2013 08:57 am - brfransen
LinHES-system: myth_status.py: add support for color levels. refs #943 #945

remove diskspace.cron as xymon now monitors and notifies disk levels

History
12/18/2013 11:02 am - brfransen
- Status changed from New to Closed
